%define pkg_desc Biggles is a Python module for creating publication-quality 2D scientific\
plots. It supports multiple output formats (postscript, x11, png, svg, gif),\
understands simple TeX, and sports a high-level, elegant interface. It's\
intended for technical users with sophisticated plotting needs.\
\
The goal is to produce a plotting package that isn't deeply frustrating.

Name:           scisoft-python-biggles
Version:        1.6.6
Release:        1%{?dist}
Summary:        Scientific Plotting with/in/for Python
Distribution:   Scisoft
License:        GPLv2
Group:          Applications/Scientific
Packager:       Carlos Guirao <cguirao@eso.org>
URL:            http://biggles.sourceforge.net/
Source0:        http://downloads.sourceforge.net/project/biggles/biggles/%{version}/python2-biggles-%{version}.tar.gz

BuildRequires:  python2-devel
%if 0%{?centos} == 7 || 0%{?rhel} == 7
BuildRequires:  numpy
%else
BuildRequires:  python2-numpy
%endif
BuildRequires:  plotutils-devel
BuildRequires:  libX11-devel
BuildRequires:  libXext-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXmu-devel
BuildRequires:  libXt-devel
BuildRequires:  libSM-devel
BuildRequires:  libICE-devel

%description
%{pkg_desc}


%package -n scisoft-python2-biggles
Summary:        %{summary}
Provides:       scisoft-python-biggles

%description -n scisoft-python2-biggles
%{pkg_desc}


%prep
%autosetup -n python2-biggles-%{version}

%build
%py2_build

%install
%py2_install

%files -n scisoft-python2-biggles
%doc README
%license COPYING
%{python2_sitearch}/*


%changelog
* Thu Feb 22 2018 Artur Szostak <aszostak@partner.eso.org> 1.6.6
- Integrated into automatic build system for Scisoft.

* Tue Oct 18 2016 Artur Szostak <aszostak@partner.eso.org> 1.6.6-2
- Adding missing build and run-time dependencies.

* Mon Dec 16 2013 <cguirao@eso.org>
- adapted to SCISOFT 
